## znc 1.7.0

=== CMakeLists.txt ===
#
# Copyright (C) 2004-2018 ZNC, see the NOTICE file for details.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

cmake_minimum_required(VERSION 3.1)
project(ZNC VERSION 1.7.0)
set(ZNC_VERSION 1.7.0)
set(append_git_version false)
set(alpha_version "") # e.g. "-rc1"
set(VERSION_EXTRA "" CACHE STRING
	"Additional string appended to version, e.g. to mark distribution")

set(PROJECT_VERSION "${ZNC_VERSION}")

# https://cmake.org/pipermail/cmake/2010-September/039388.html
set(_all_targets "" CACHE INTERNAL "")
function(znc_add_library name)
	add_library("${name}" ${ARGN})
	set(_all_targets "${_all_targets};${name}" CACHE INTERNAL "")
endfunction()
function(znc_add_executable name)
	add_executable("${name}" ${ARGN})
	set(_all_targets "${_all_targets};${name}" CACHE INTERNAL "")
endfunction()
function(znc_add_custom_target name)
	add_custom_target("${name}" ${ARGN})
	set(_all_targets "${_all_targets};${name}" CACHE INTERNAL "")
endfunction()

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

include(TestCXX11)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED true)
if(NOT CYGWIN)
	# We don't want to use -std=gnu++11 instead of -std=c++11, but among other
	# things, -std=c++11 on cygwin defines __STRICT_ANSI__ which makes cygwin
	# not to compile: undefined references to strerror_r, to fdopen, to
	# strcasecmp, etc (their declarations in system headers are between ifdef)
	set(CMAKE_CXX_EXTENSIONS false)
endif()

include(CMakeFindFrameworks_fixed)
include(use_homebrew)
include(GNUInstallDirs)
include(CheckCXXSymbolExists)
include(copy_csocket)

set(CMAKE_THREAD_PREFER_PTHREAD true)
set(THREADS_PREFER_PTHREAD_FLAG true)
find_package(Threads REQUIRED)
if(NOT CMAKE_USE_PTHREADS_INIT)
	message(FATAL_ERROR "This compiler/OS doesn't seem to support pthreads.")
endif()

include(TestLargeFiles)
test_large_files(HAVE_LARGE_FILES_UNUSED_VAR)
find_package(PkgConfig)

macro(tristate_option opt help)
	set(WANT_${opt} AUTO CACHE STRING ${help})
	set_property(CACHE WANT_${opt} PROPERTY STRINGS AUTO YES NO)
	if(WANT_${opt} STREQUAL "AUTO")
		set(TRISTATE_${opt}_REQUIRED)
	else()
		set(TRISTATE_${opt}_REQUIRED REQUIRED)
	endif()
endmacro()

tristate_option(OPENSSL "Support SSL")
if(WANT_OPENSSL)
	find_package(OpenSSL ${TRISTATE_OPENSSL_REQUIRED})
endif()
set(HAVE_LIBSSL "${OPENSSL_FOUND}")

set(WANT_IPV6 true CACHE BOOL "Support IPv6")
set(HAVE_IPV6 "${WANT_IPV6}")

tristate_option(ZLIB "Compress HTTP traffic with Zlib")
if(WANT_ZLIB)
	find_package(ZLIB ${TRISTATE_ZLIB_REQUIRED})
endif()
set(HAVE_ZLIB "${ZLIB_FOUND}")

tristate_option(CYRUS "Support authentication with Cyrus")
if(WANT_CYRUS)
	pkg_check_modules(CYRUS libsasl2)
	if(NOT CYRUS_FOUND)
		# libsasl2.pc is missing on 2.1.25 which is on ubuntu 14.04
		# next ubuntu version has 2.1.26 which has libsasl2.pc
		#
		# osx (as of El Capitan) doesn't have it either...
		set(_old_cmake_required_libraries "${CMAKE_REQUIRED_LIBRARIES}")
		set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lsasl2)
		# sys/types.h here is workaround for sasl 2.1.26:
		# https://github.com/znc/znc/issues/1243
		# https://lists.andrew.cmu.edu/pipermail/cyrus-sasl/2012-December/002572.html
		# https://cgit.cyrus.foundation/cyrus-sasl/commit/include/sasl.h?id=2f740223fa1820dd71e6ab0e50d4964760789209
		check_cxx_symbol_exists(sasl_server_init "sys/types.h;sasl/sasl.h"
			CYRUS_HARDCODED)
		set(CMAKE_REQUIRED_LIBRARIES "${_old_cmake_required_libraries}")
		if(CYRUS_HARDCODED)
			set(CYRUS_LDFLAGS -lsasl2)
			set(CYRUS_FOUND true)
		endif()
	endif()
	if(TRISTATE_CYRUS_REQUIRED AND NOT CYRUS_FOUND)
		message(FATAL_ERROR "Can't find Cyrus SASL 2")
	endif()
endif()

tristate_option(ICU "Support character encodings")
if(WANT_ICU)
	pkg_check_modules(ICU ${TRISTATE_ICU_REQUIRED} icu-uc)
endif()
set(HAVE_ICU "${ICU_FOUND}")

set(WANT_PERL false CACHE BOOL "Support Perl modules")
set(WANT_PYTHON false CACHE BOOL "Support Python modules")
set(WANT_PYTHON_VERSION "python3" CACHE STRING
	"Python version to use, e.g. python-3.5, this name is passed to pkg-config")
if(WANT_PYTHON AND NOT ICU_FOUND)
	message(FATAL_ERROR "Modpython requires ZNC to be compiled with charset "
	"support, but ICU library not found")
endif()
tristate_option(SWIG "Use SWIG to generate modperl and modpython")
set(search_swig false)
if(WANT_SWIG AND TRISTATE_SWIG_REQUIRED)
	set(search_swig true)
endif()
if(WANT_PERL AND NOT EXISTS
		"${PROJECT_SOURCE_DIR}/modules/modperl/generated.tar.gz")
	if(WANT_SWIG)
		set(search_swig true)
	else()
		message(FATAL_ERROR "Pregenerated modperl files are not available. "
			"SWIG is required. Alternatively, build ZNC from tarball.")
	endif()
endif()
if(WANT_PYTHON AND NOT EXISTS
		"${PROJECT_SOURCE_DIR}/modules/modpython/generated.tar.gz")
	if(WANT_SWIG)
		set(search_swig true)
	else()
		message(FATAL_ERROR "Pregenerated modpython files are not available. "
			"SWIG is required. Alternatively, build ZNC from tarball.")
	endif()
endif()
if(search_swig)
	find_package(SWIG 3.0.0)
	if(NOT SWIG_FOUND)
		message(FATAL_ERROR
			"Can't find SWIG, therefore Perl and Python aren't supported. "
			"Alternatively, build ZNC from tarball.")
	endif()
endif()

if(WANT_PERL)
	find_package(PerlLibs 5.10 REQUIRED)
endif()
if (WANT_PYTHON)
	find_package(Perl 5.10 REQUIRED)
	pkg_check_modules(PYTHON "${WANT_PYTHON_VERSION}" REQUIRED)
endif()

set(WANT_TCL false CACHE BOOL "Support Tcl modules")
if(WANT_TCL)
	find_package(TCL QUIET)
	if(NOT TCL_FOUND)
		message(FATAL_ERROR "Can't find Tcl")
	endif()
endif()

tristate_option(I18N "Native language support (i18n)")
if(WANT_I18N)
	find_package(Boost ${TRISTATE_I18N_REQUIRED} COMPONENTS locale)
	find_package(Gettext ${TRISTATE_I18N_REQUIRED})
endif()
if(Boost_LOCALE_FOUND AND GETTEXT_MSGFMT_EXECUTABLE)
	set(HAVE_I18N true)
else()
	set(HAVE_I18N false)
	message(STATUS "Boost.Locale is not found, disabling i18n support")
endif()

if(HAVE_I18N AND GETTEXT_MSGMERGE_EXECUTABLE)
	find_program(XGETTEXT_EXECUTABLE xgettext)
	if(XGETTEXT_EXECUTABLE)
		add_custom_target(translation)
	endif()
endif()

# poll() is broken on Mac OS, it fails with POLLNVAL for pipe()s.
if(APPLE)
	set(CSOCK_USE_POLL false)
else()
	set(CSOCK_USE_POLL true)
endif()

check_cxx_symbol_exists(getopt_long "getopt.h" HAVE_GETOPT_LONG)
check_cxx_symbol_exists(lstat "sys/types.h;sys/stat.h;unistd.h" HAVE_LSTAT)
check_cxx_symbol_exists(getpassphrase "stdlib.h" HAVE_GETPASSPHRASE)
check_cxx_symbol_exists(tcsetattr "termios.h;unistd.h" HAVE_TCSETATTR)
check_cxx_symbol_exists(clock_gettime "time.h" HAVE_CLOCK_GETTIME)

# Note that old broken systems, such as OpenBSD, NetBSD, which don't support
# AI_ADDRCONFIG, also have thread-unsafe getaddrinfo(). Gladly, they fixed
# thread-safety before support of AI_ADDRCONFIG, so this can be abused to
# detect the thread-safe getaddrinfo().
#
# TODO: drop support of blocking DNS at some point. OpenBSD supports
# AI_ADDRCONFIG since Nov 2014, and their getaddrinfo() is thread-safe since
# Nov 2013. NetBSD's one is thread-safe since ages ago.
check_cxx_symbol_exists(AI_ADDRCONFIG "sys/types.h;sys/socket.h;netdb.h"
	HAVE_THREADED_DNS)

if(CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT CYGWIN)
	# These enable some debug options in g++'s STL, e.g. invalid use of
	# iterators, but they cause crashes on cygwin while loading modules
	set(_GLIBCXX_DEBUG true)
	set(_GLIBCXX_DEBUG_PEDANTIC true)
endif()

if(append_git_version)
	find_package(Git)
endif()



file(GLOB csocket_files LIST_DIRECTORIES FALSE
	"${PROJECT_SOURCE_DIR}/third_party/Csocket/Csocket.*")
if(csocket_files STREQUAL "")
	message(FATAL_ERROR " It looks like git submodules are not initialized.\n"
		" Run: git submodule update --init --recursive")
endif()

install(DIRECTORY webskins
	DESTINATION "${CMAKE_INSTALL_DATADIR}/znc")
install(DIRECTORY translations
	DESTINATION "${CMAKE_INSTALL_DATADIR}/znc")
install(DIRECTORY man/
	DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
	FILES_MATCHING PATTERN "znc*")

set(WANT_SYSTEMD false CACHE BOOL "Install znc.service to systemd")
if(WANT_SYSTEMD)
	configure_file("znc.service.in" "znc.service")
	set(SYSTEMD_DIR "" CACHE PATH "Path to systemd units")
	if(SYSTEMD_DIR STREQUAL "" AND PKG_CONFIG_EXECUTABLE)
		execute_process(COMMAND "${PKG_CONFIG_EXECUTABLE}"
			--variable=systemdsystemunitdir systemd
			OUTPUT_VARIABLE SYSTEMD_DIR)
	endif()
	if(SYSTEMD_DIR STREQUAL "")
		message(FATAL_ERROR "Systemd is enabled, "
			"but the unit dir can't be found.")
	endif()
	install(FILES "${PROJECT_BINARY_DIR}/znc.service"
		DESTINATION "${SYSTEMD_DIR}")
endif()

# On cygwin, if to link modules against znc.exe directly, modperl can't call
# ZNC's functions very well. They do get called, but global variables have
# different addresses. That address actually is in modperl/ZNC.dll if to look
# at /proc/123/maps
# Example of such global variable is one returned by CZNC::Get()
# Modpython seems to work though with STATIC on cygwin... (I didn't test it
# too much though)
#
# Non-cygwin should link modules to /usr/bin/znc directly to prevent this:
# error while loading shared libraries: libznc.so: cannot open shared object file: No such file or directory
# Without need to touch LD_LIBRARY_PATH
if(CYGWIN)
	set(znc_link "znclib")
	set(lib_type "SHARED")
	set(install_lib "znclib")
	set(znclib_pc "-L${CMAKE_INSTALL_FULL_LIBDIR} -lznc")
else()
	set(znc_link "znc")
	set(lib_type "STATIC")
	set(install_lib)
	set(znclib_pc)
endif()

configure_file("include/znc/zncconfig.h.cmake.in" "include/znc/zncconfig.h")
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(modules)
add_subdirectory(test)
add_subdirectory(zz_msg)

add_custom_target(msg_after_all ALL
	COMMAND "${CMAKE_COMMAND}" -E echo
	COMMAND "${CMAKE_COMMAND}" -E echo " ZNC was successfully compiled."
	COMMAND "${CMAKE_COMMAND}" -E echo
	" Use 'make install' to install ZNC to '${CMAKE_INSTALL_PREFIX}'."
	COMMAND "${CMAKE_COMMAND}" -E echo
	VERBATIM)
add_dependencies(msg_after_all ${_all_targets})
#	@echo ""
#	@echo " ZNC was successfully compiled."
#	@echo " Use '$(MAKE) install' to install ZNC to '$(prefix)'."


configure_file("ZNCConfig.cmake.in" "ZNCConfig.cmake" @ONLY)
include(CMakePackageConfigHelpers)
write_basic_package_version_file("ZNCConfigVersion.cmake"
	COMPATIBILITY AnyNewerVersion)
install(FILES
	"${PROJECT_BINARY_DIR}/ZNCConfig.cmake"
	"${PROJECT_BINARY_DIR}/ZNCConfigVersion.cmake"
	DESTINATION "${CMAKE_INSTALL_DATADIR}/znc/cmake")
configure_file("znc-buildmod.cmake.in" "znc-buildmod" @ONLY)
install(PROGRAMS "${PROJECT_BINARY_DIR}/znc-buildmod"
	DESTINATION "${CMAKE_INSTALL_BINDIR}")

configure_file("znc.pc.cmake.in" "znc.pc" @ONLY)
install(FILES "${PROJECT_BINARY_DIR}/znc.pc"
	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

macro(summary_line text var)
	if(${var})
		list(APPEND summary_lines "${text} : yes")
	else()
		list(APPEND summary_lines "${text} : no")
	endif()
endmacro()
set(summary_lines
	"ZNC ${ZNC_VERSION}${VERSION_EXTRA}${alpha_version} configured"
	" "
	"Prefix    : ${CMAKE_INSTALL_PREFIX}")
summary_line("SSL      " "${OPENSSL_FOUND}")
summary_line("IPv6     " "${WANT_IPV6}")
summary_line("Async DNS" "${HAVE_THREADED_DNS}")
summary_line("Perl     " "${PERLLIBS_FOUND}")
summary_line("Python   " "${PYTHON_FOUND}")
summary_line("Tcl      " "${TCL_FOUND}")
summary_line("Cyrus    " "${CYRUS_FOUND}")
summary_line("Charset  " "${ICU_FOUND}")
summary_line("Zlib     " "${ZLIB_FOUND}")
summary_line("i18n     " "${HAVE_I18N}")

include(render_framed_multiline)

=== test/CMakeLists.txt ===
#
# Copyright (C) 2004-2018 ZNC, see the NOTICE file for details.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# No CTest here, and no "make test" either:
# http://public.kitware.com/Bug/view.php?id=8438
# http://public.kitware.com/Bug/view.php?id=8774

include(ExternalProject)
include(FindPackageMessage)

# There is FindGTest.cmake, but it doesn't find gmock
#message(STATUS "Looking for GTest/GMock")
find_path(GTEST_ROOT src/gtest-all.cc
	HINTS ENV GTEST_ROOT
	PATHS "${PROJECT_SOURCE_DIR}/third_party/googletest/googletest")
find_path(GMOCK_ROOT src/gmock-all.cc
	HINTS ENV GMOCK_ROOT
	PATHS "${PROJECT_SOURCE_DIR}/third_party/googletest/googlemock")

set(gtest_error_msg "not found, testing will be disabled.")
set(gtest_error_msg "${gtest_error_msg} You can set environment variables")
set(gtest_error_msg "${gtest_error_msg} GTEST_ROOT and GMOCK_ROOT")
if(GTEST_ROOT)
	find_package_message(gtest "Found GoogleTest: ${GTEST_ROOT}"
		"${GTEST_ROOT}")
else()
	find_package_message(gtest "GoogleTest ${gtest_error_msg}" "${GTEST_ROOT}")
	return()
endif()
if(GMOCK_ROOT)
	find_package_message(gmock "Found GoogleMock: ${GMOCK_ROOT}"
		"${GMOCK_ROOT}")
else()
	find_package_message(gmock "GoogleMock ${gtest_error_msg}" "${GMOCK_ROOT}")
	return()
endif()

# Force the simple internal regex engine to get consistent behavior on all
# platforms. See
# https://code.google.com/p/chromium/issues/detail?id=317224 for more details.
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS
	"GTEST_HAS_POSIX_RE=0")

add_executable(unittest_bin EXCLUDE_FROM_ALL
	"${GMOCK_ROOT}/src/gmock_main.cc"
	"${GTEST_ROOT}/src/gtest-all.cc"
	"${GMOCK_ROOT}/src/gmock-all.cc"
	"ThreadTest.cpp" "NickTest.cpp" "ClientTest.cpp" "NetworkTest.cpp"
	"MessageTest.cpp" "ModulesTest.cpp" "IRCSockTest.cpp" "QueryTest.cpp"
	"StringTest.cpp" "ConfigTest.cpp" "BufferTest.cpp" "UtilsTest.cpp"
	"UserTest.cpp")
target_link_libraries(unittest_bin PRIVATE znclib)
target_include_directories(unittest_bin PRIVATE
	"${GTEST_ROOT}" "${GTEST_ROOT}/include"
	"${GMOCK_ROOT}" "${GMOCK_ROOT}/include")
add_custom_target(unittest COMMAND unittest_bin)

# Use different compiler flags, because Qt fails with sanitizers,
# and we don't need sanitizers to test the test itself anyway.
externalproject_add(inttest_bin
	EXCLUDE_FROM_ALL true
	BUILD_ALWAYS true
	SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/integration"
	BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/integration"
	INSTALL_COMMAND ""
	CMAKE_CACHE_ARGS
	# Note the space in the end: protect from CXXFLAGS env var, but
	# still support custom flags
	"-DCMAKE_CXX_FLAGS:string=${INTEGRATION_TEST_CXX_FLAGS} "
	"-DGTEST_ROOT:path=${GTEST_ROOT}"
	"-DGMOCK_ROOT:path=${GMOCK_ROOT}"
	"-DZNC_BIN_DIR:path=${CMAKE_INSTALL_FULL_BINDIR}"
	"-DQt5_HINTS:path=${brew_qt5}")
add_custom_target(inttest COMMAND
	"${CMAKE_CURRENT_BINARY_DIR}/integration/inttest")
add_dependencies(inttest inttest_bin)

=== zz_msg/CMakeLists.txt ===
#
# Copyright (C) 2004-2018 ZNC, see the NOTICE file for details.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# This is implementation detail of CMake, but this install() runs last.
# Details are at https://cmake.org/pipermail/cmake/2011-July/045615.html

install(CODE "message(\"
******************************************************************
 ZNC was successfully installed.
 You can use '${CMAKE_INSTALL_FULL_BINDIR}/znc --makeconf'
 to generate a config file.

 If you need help with using ZNC, please visit our wiki at:
   http://znc.in\")")

## znc 0.078

=== debian/changelog ===
znc (0.078-1) unstable; urgency=low

  * New upstream release.
    - connect_throttle module has been dropped.
    - Remove dropped znc.conf from examples.
  * Merge 0.076-1~bpo50+1 changelog.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 19 Dec 2009 15:58:51 +0100

znc (0.076-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 19:19:09 +0100

znc (0.076-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Sep 2009 08:07:42 +0200

znc (0.076~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Fix long description of znc-extra. Tcl is not anymore part of it.
  * Enable building of the saslauth module with patch from Miguelangel Jose
    Freitas Loreto and install it to the znc-extra package.
    Closes: #547333

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2009 11:26:15 +0200

znc (0.076~beta1-1) unstable; urgency=low

  * New upstream beta release.
    - znc-extra has been merged in the main znc tree. Build and install them to
      the new znc-extra package.
    - Install the Tcl module to the znc-tcl package.
  * s/perl/Perl/ in long description of the znc-perl package.
  * Conflict again the old znc-extra-dbg package at znc-dbg.
  * Use dh_install with --list-missing, so I do not forget an module.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Add missing licenses.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Sep 2009 12:27:48 +0200

znc (0.074-2) unstable; urgency=low

  * Merge 0.045-3+etch2, 0.045-3+etch3, 0.074-1~bpo40+1 and 0.074-1~bpo50+1
    changelog.
  * Add versioned recommends on znc-extra.
    Closes: #541305

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Aug 2009 18:59:00 +0200

znc (0.074-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2009 18:02:00 +0200

znc (0.074-1~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
    - Drop libc-ares-dev build dependency, we do not have it on Etch.
    - Also disable it in debian/rules.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2009 18:10:55 +0200

znc (0.074-1) unstable; urgency=high

  * New upstream release.
    - Bump urgency to high. This release fixes an high-impact directory
      traversal buf, where unpriviliged users can save about DCC SEND files on
      the server with the rights of the znc process. The attacker could also
      use the exploit to get a shell on the server.
      Closes: #537977
    - Use c-ares for DNS resolving, add libc-ares-dev and pkg-config as
      build-dependency.
  * Merge 0.058-2+lenny2, 0.058-2+lenny3, 0.070-1~bpo40+1 and 0.070-1~bpo50+1
    changelog.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jul 2009 13:46:00 +0200

znc (0.070-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Remove recommend from znc to non-existent package znc-extra in Lenny.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Jun 2009 11:49:09 +0200

znc (0.070-1~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * Remove recommend from znc to non-existent package znc-extra in Etch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Jun 2009 11:46:00 +0200

znc (0.070-1) unstable; urgency=low

  * New upstream release.
    - Add new pkgconfig files to znc-dev.
  * Fix typo in get-orig-source target.
  * Merge 0.058-2~bpo40+1 and 0.058-2~bpo40+2 changelog.
  * Add recommends on the new source package znc-extra.
  * Add my own copyright for the Debian packaging.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 May 2009 16:17:47 +0200

znc (0.068-3) unstable; urgency=low

  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Add new fail2ban module.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Apr 2009 13:27:00 +0200

znc (0.068-2) unstable; urgency=low

  * Add missing admin module.
    Closes: #522267

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu,  2 Apr 2009 11:08:41 +0200

znc (0.068-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of znc-dbg to debug.
  * Add changelog from the 0.058-2+lenny1 upload.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 29 Mar 2009 20:39:44 +0200

znc (0.066-1) unstable; urgency=high

  * New upstream release.
    - Severity high because it fixes a critical security flaw.
      Closes: #516950
  * znc-dev has to be arch:any, because it also gives back the used host
    compiler.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Feb 2009 18:21:42 +0200

znc (0.064-1) unstable; urgency=low

  * New upstream release.
  * Add get-orig-source target.
  * Add missing dependencie from znc-dev to libssl-dev. znc modules will not
    build without libssl-dev.
  * Fix link to the GPL file.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 17 Feb 2009 18:22:22 +0200

znc (0.062-2) unstable; urgency=low

  * Add missing ${misc:Depends}. Thanks lintian.
  * Fix debian/watch, so that it does not take the new znc-extra tarball.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat,  6 Dec 2008 23:28:22 +0200

znc (0.062-1) unstable; urgency=low

  * New upstream release.
    - Add new autocycle, keepnick and q modules.
    - IPv6 is now enabled by default.
    - Remove 01-fix-gcc4.4-ftbfs (merged upstream).
  * Uploading to unstable.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat,  6 Dec 2008 14:24:45 +0200

znc (0.060-2) experimental; urgency=low

  * Add upstream patch from svn r1269 to fix a FTBFS with gcc 4.4.
    Closes: #504946
  * Split up package to znc-dev, znc-perl and znc-webadmin to avoid on  some
    installations useless dependencies and the installation of the potential


=== debian/control ===
Source: znc
Section: net
Priority: optional
Build-Depends: debhelper (>= 5), libssl-dev, libperl-dev, libc-ares-dev,
 pkg-config, tcl8.5-dev, libsasl2-dev
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 3.8.3
Homepage: http://znc.sourceforge.net/

Package: znc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: znc-tcl, znc-perl, znc-extra
Conflicts: znc-extra (<< ${binary:Version})
Suggests: znc-webadmin
Description: an advanced IRC bouncer
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.

Package: znc-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: znc (= ${binary:Version})
Description: extra modules for znc
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains extra modules for znc, some of them may not be stable.

Package: znc-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, znc (= ${binary:Version}) | znc-perl (= ${binary:Version}) |
 znc-webadmin (= ${binary:Version}) | znc-extra (= ${binary:Version})
Conflicts: znc-extra-dbg (<= 0.074)
Description: an advanced IRC bouncer (debugging symbols)
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains the debugging symbols of the znc package and his modules.

Package: znc-dev
Architecture: any
Depends: ${misc:Depends}, znc (>= ${binary:Version}), libssl-dev
Description: an advanced IRC bouncer (development headers)
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains the znc development headers for developing modules.

Package: znc-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: znc
Description: an advanced IRC bouncer (Perl extension)
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains the znc Perl extension.

Package: znc-tcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: znc
Description: an advanced IRC bouncer (Tcl extension)
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains the znc Tcl extension.

Package: znc-webadmin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: znc
Description: an advanced IRC bouncer (webadmin module)
 znc is an IRC proxy. It runs as a daemon and connects to IRC server,
 then allows you to connect from a workstation and work as the user that
 is logged in to the IRC server. After you disconnect, it maintains the
 connection to the server. It acts like any normal IRC server, so you can
 use any IRC client to connect to it.
 .
 Some of its features include support for multiple users, multiple clients,
 and multiple IRC servers; playback buffers to catch up with what happened
 while you were detached, SSL encryption, DCC proxying, and a plugin
 interface with many plugins supporting other features.
 .
 This package contains the webadmin module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Add the Debian revision to the CXXFLAGS and build it with debugging symbols.
CXXFLAGS := -g -DVERSION_EXTRA=\\\"+deb$(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/.*-//')\\\"

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="$(CXXFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --enable-tcl \
	--enable-extra --enable-sasl
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	[ ! -f Makefile ] || $(MAKE) -i distclean
	rm -rf $(CURDIR)/debian/tmp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a --list-missing
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a --dbg-package=znc-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://sf.net/znc/znc-([\d.]*)\.tar\.gz

## znc 0.092

=== debian/changelog ===
znc (0.092-3~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Nov 2010 17:25:06 +0100

znc (0.092-3) unstable; urgency=medium

  * Add patch 04-null-pointer-dereference.diff from upstream, which fixes an
    NULL pointer dereference in the route_replies module.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Aug 2010 19:24:22 +0200

znc (0.092-2) unstable; urgency=medium

  * Merge 0.092-1~bpo50+1 changelog.
  * Add upstream patch 01-out-of-range-error.diff, which fixes a DoS from
    authenticated users.
    Closes: #592064
  * Add upstream patch 02-inc-port-in-cookie.diff, which adds the port number
    of the znc instance to the cookie name, to avoid cookie clashes with more
    than a single znc instance per IP and user.
  * Add upstream patch 03-attach-channels-on-joining.diff, which ensures, that
    channels are always attached on joining them.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 16 Aug 2010 21:08:17 +0200

znc (0.092-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
    - Revert the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Jul 2010 20:41:22 +0200

znc (0.092-1) unstable; urgency=low

  * New upstream release.
    - Remove 01-null-pointer-traffic.diff, merged by upstream.
  * Bump Standards-Version to 3.9.0.
    - Use Breaks instead of Conflicts in some situations.
    - Fix BSD license in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 03 Jul 2010 13:00:20 +0200

znc (0.090-2) unstable; urgency=high

  * Add patch 01-null-pointer-traffic.diff, which fixes a NULL pointer
    dereference in the traffic stats.
    Closes: #584929

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jun 2010 18:05:43 +0200

znc (0.090-1) unstable; urgency=low

  * New usptream release.
  * Add missing replaces to the znc package against the removed znc-webadmin
    one.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Jun 2010 22:00:41 +0200

znc (0.090~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Drop znc-webadmin package. It is now provided in the core source code.
    - Rename discon_kick module to disconkick.
    - Add charset and notes module.
  * Add missing dependency on libc-ares-dev to znc-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 24 May 2010 18:05:44 +0200

znc (0.080-1) unstable; urgency=low

  * New upstream release

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Feb 2010 14:03:34 +0100

znc (0.080~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Add new modules flooddetach, clientnotify and block_motd.
  * Merge 0.078-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2010 14:26:58 +0100

znc (0.078-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Do not use the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Dec 2009 12:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Build-Depends: debhelper (>= 5), libssl-dev, libperl-dev, libc-ares-dev,
  pkg-config, tcl8.5-dev, libsasl2-dev
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://znc.sourceforge.net/
 
 Package: znc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: znc-tcl, znc-perl, znc-extra
-Conflicts: znc-extra (<< ${binary:Version})
-Suggests: znc-webadmin
+Conflicts: znc-webadmin
+Breaks: znc-extra (<< ${binary:Version})
+Replaces: znc-webadmin
 Description: an advanced IRC bouncer
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that
@@ -49,7 +50,7 @@
 Priority: extra
 Depends: ${misc:Depends}, znc (= ${binary:Version}) | znc-perl (= ${binary:Version}) |
  znc-webadmin (= ${binary:Version}) | znc-extra (= ${binary:Version})
-Conflicts: znc-extra-dbg (<= 0.074)
+Breaks: znc-extra-dbg (<= 0.074)
 Description: an advanced IRC bouncer (debugging symbols)
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that
@@ -66,7 +67,8 @@
 
 Package: znc-dev
 Architecture: any
-Depends: ${misc:Depends}, znc (>= ${binary:Version}), libssl-dev
+Depends: ${misc:Depends}, znc (>= ${binary:Version}), libssl-dev,
+ libc-ares-dev
 Description: an advanced IRC bouncer (development headers)
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that
@@ -116,21 +118,3 @@
  interface with many plugins supporting other features.
  .
  This package contains the znc Tcl extension.
-
-Package: znc-webadmin
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: znc
-Description: an advanced IRC bouncer (webadmin module)
- znc is an IRC proxy. It runs as a daemon and connects to IRC server,
- then allows you to connect from a workstation and work as the user that
- is logged in to the IRC server. After you disconnect, it maintains the
- connection to the server. It acts like any normal IRC server, so you can
- use any IRC client to connect to it.
- .
- Some of its features include support for multiple users, multiple clients,
- and multiple IRC servers; playback buffers to catch up with what happened
- while you were detached, SSL encryption, DCC proxying, and a plugin
- interface with many plugins supporting other features.
- .
- This package contains the webadmin module.

## znc 0.098

=== debian/changelog ===
znc (0.098-1) unstable; urgency=low

  * New upstream release.
    - Build with the new python module.
    - README has been renamed to README.md.
    - Add new files to the znc-perl and znc package.
  * Bump to debhelper version 7.
    - Replace dh_clean -k by dh_prep.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Mar 2011 22:11:34 +0200

znc (0.096-3) unstable; urgency=low

  * Adjust debian/watch to the new tarball location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 10 Mar 2011 20:29:48 +0100

znc (0.096-2) unstable; urgency=low

  * Merge 0.092-3~bpo50+1 changelog.
  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:41:38 +0100

znc (0.096-1) experimental; urgency=low

  * New upstream release.
    - Pass --enable-perl to configure.
    - Add new build dependency swig.
    - Add new modules and required files.
  * Do not recommend znc in additional packages, depend on the binary:Version,
    so that incompatible versions could not be mixed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Nov 2010 20:01:04 +0100

znc (0.094-1) experimental; urgency=low

  * New upstream release.
    - Remove all patches, they are merged by upstream.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Aug 2010 21:07:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: znc
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 5), libssl-dev, libperl-dev, libc-ares-dev,
- pkg-config, tcl8.5-dev, libsasl2-dev
+Build-Depends: debhelper (>= 7),
+ libssl-dev,
+ libperl-dev,
+ libc-ares-dev,
+ pkg-config,
+ tcl8.5-dev,
+ libsasl2-dev,
+ swig,
+ python3-dev
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://znc.sourceforge.net/
 
 Package: znc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: znc-tcl, znc-perl, znc-extra
+Recommends: znc-tcl, znc-perl, znc-extra, znc-python
 Conflicts: znc-webadmin
 Breaks: znc-extra (<< ${binary:Version})
 Replaces: znc-webadmin
@@ -28,8 +35,7 @@
 
 Package: znc-extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: znc (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, znc (= ${binary:Version})
 Description: extra modules for znc
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that
@@ -49,7 +55,8 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, znc (= ${binary:Version}) | znc-perl (= ${binary:Version}) |
- znc-webadmin (= ${binary:Version}) | znc-extra (= ${binary:Version})
+ znc-webadmin (= ${binary:Version}) | znc-extra (= ${binary:Version}) |
+ znc-python (= ${binary:Version})
 Breaks: znc-extra-dbg (<= 0.074)
 Description: an advanced IRC bouncer (debugging symbols)
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
@@ -85,8 +92,7 @@
 
 Package: znc-perl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: znc
+Depends: ${shlibs:Depends}, ${misc:Depends}, znc (= ${binary:Version})
 Description: an advanced IRC bouncer (Perl extension)
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that
@@ -101,10 +107,27 @@
  .
  This package contains the znc Perl extension.
 
+Package: znc-python
+Architecture: any
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
+ znc (= ${binary:Version})
+Description: an advanced IRC bouncer (Python extension)
+ znc is an IRC proxy. It runs as a daemon and connects to IRC server,
+ then allows you to connect from a workstation and work as the user that
+ is logged in to the IRC server. After you disconnect, it maintains the
+ connection to the server. It acts like any normal IRC server, so you can
+ use any IRC client to connect to it.
+ .
+ Some of its features include support for multiple users, multiple clients,
+ and multiple IRC servers; playback buffers to catch up with what happened
+ while you were detached, SSL encryption, DCC proxying, and a plugin
+ interface with many plugins supporting other features.
+ .
+ This package contains the znc Python extension.
+
 Package: znc-tcl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: znc
+Depends: ${shlibs:Depends}, ${misc:Depends}, znc (= ${binary:Version})
 Description: an advanced IRC bouncer (Tcl extension)
  znc is an IRC proxy. It runs as a daemon and connects to IRC server,
  then allows you to connect from a workstation and work as the user that

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_testdir
 	CXXFLAGS="$(CXXFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --enable-tcl \
-	--enable-extra --enable-sasl
+	--enable-extra --enable-sasl --enable-perl --enable-python
 	$(MAKE)
 	touch build-stamp
 
@@ -31,7 +31,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 binary-indep: build install
@@ -43,6 +43,7 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_strip -a --dbg-package=znc-dbg
+	dh_python3 -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a

=== debian/watch ===
version=3
http://people.znc.in/~psychon/znc/releases/znc-([\d.]*).tar.gz
